<template>
  <basic-container>
    <avue-form v-model="searchForm" :option="serachOption" @submit="searchSubmit"></avue-form>
    <avue-crud
      :addBtn="false"
      :option="option"
      :table-loading="loading"
      :data="data"
      ref="crud"
      v-model:search="search"
      v-model:page="mypage"
      @search-change="searchChange"
      @search-reset="searchReset"
      @current-change="currentChange"
      @size-change="sizeChange"
      @refresh-change="refreshChange"
      @on-load="onLoad"
    >
      <template #menu-left>
        <el-button type="primary" size="default" icon="el-icon-circle-plus" plain @click="handleExport">导出</el-button>
      </template>
      <template #menu="scope">
        <el-button type="primary" text size="default" icon="el-icon-document-delete" @click.stop="handView(scope.row, scope.index)">详情</el-button>
      </template>
    </avue-crud>
  </basic-container>
</template>

<script>
import { exportBlob } from '@/api/common';
import { downloadXls } from '@/utils/util';
import { getToken } from '@/utils/auth';
import NProgress from 'nprogress';
import 'nprogress/nprogress.css';
export default {
  data() {
    return {
      searchForm: {},
      serachOption: {
        labelWidth: 130,
        submitText: "查询",
        emptyBtn: false,
        menuPosition: 'center',
        menuSpan: 8,
        column: [
          {
            label: '回传时间',
            prop: 'distributeTime',
            type: "daterange",
            format: 'YYYY-MM-DD',
            valueFormat: 'YYYY-MM-DD',
            search: true,
            hide: true,
            span: 8
          },
          {
            label: '机床（可多选）',
            prop: 'machineCodes',
            search: true,
            hide: true,
            type: 'select',
            dicUrl: '/blade-system/dict-biz/dictionary?code=machine_group',
            props: {
              label: 'dictValue',
              value: 'dictKey',
            },
            span: 8
          }
        ]
      },
      search: {},
      loading: true,
      mypage: {
        size: 10,
        current: 1,
        total: 0,
      },
      option: {
        index: true,
        addBtn: false,
        editBtn: false,
        delBtn: false,
        labelWidth: 120,
        emptyBtn: false,
        menu: true,
        column: [
          {
            label: '机床编号',
            prop: 'code'
          },
          {
            label: '回传数量',
            prop: '',
          },
          {
            label: '归档数量',
            prop: '',
          },
          {
            label: '回传程序占比',
            prop: '',
          },
          {
            label: '归档程序占比',
            prop: '',
          }
        ],
      },
      data: [],
    };
  },
  methods: {
    searchSubmit(params,done) {
      this.onLoad(params);
      done();
    },
    handView(row) {

    },
    handleExport(row,index) {  //导出
      // this.$confirm('是否导出机床回传文件数据?', '提示', {
      //   confirmButtonText: '确定',
      //   cancelButtonText: '取消',
      //   type: 'warning',
      // }).then(() => {
      //   NProgress.start();
      //   exportBlob(
      //     `/blade-mdm/machineback/file/export-excel?${this.website.tokenHeader}=${getToken()}`
      //   ).then(res => {
      //     downloadXls(res.data, `机床回传文件数据${this.$dayjs().format('YYYY-MM-DD HH:mm:ss')}.xlsx`);
      //     NProgress.done();
      //   });
      // });
    },
    searchReset() {
      //this.onLoad(this.mypage);
    },
    searchChange(params, done) {
      this.mypage.current = 1;
      this.onLoad();
      done();
    },
    currentChange(current) {
      this.mypage.current = current;
    },
    sizeChange(size) {
      this.mypage.size = size;
    },
    refreshChange() {
      
    },
    onLoad() {
      this.loading = true;
      if(this.searchForm.distributeTime == undefined) {
        this.searchForm.distributeTimeBegin = "";
        this.searchForm.distributeTimeEnd = "";
      }else if(this.searchForm.distributeTime.length == 1) {
        this.searchForm.distributeTimeBegin = this.searchForm.distributeTime[0];
      }else if(this.searchForm.distributeTime.length == 2) {
        this.searchForm.distributeTimeBegin = this.searchForm.distributeTime[0];
        this.searchForm.distributeTimeEnd = this.searchForm.distributeTime[1];
      }
      var obj = {
        distributeTimeBegin: this.searchForm.distributeTimeBegin,
        distributeTimeEnd: this.searchForm.distributeTimeEnd,
        machineCodes: this.searchForm.machineCodes,
        current: this.mypage.current,
        size: this.mypage.size,
      }
      axios({
        url: '/blade-mdm/program/stat/page',
        method: 'get',
        params: obj,
      }).then(
        res => {
          const data = res.data.data;
          this.mypage.total = data.total;
          this.data = data.records;
          this.loading = false;
        },
        error => {
            
        }
      );

    }
  },
};
</script>

<style lang="scss">

</style>